--- title: "Update the Botnet Automatic Download Configuration" slug: "update-the-botnet-automatic-download-configuration-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:57:33Z published: 2026-11-19T12:57:33Z canonical: "docs.trellix.com/update-the-botnet-automatic-download-configuration-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Update the Botnet Automatic Download Configuration This URL updates the botnet automatic download configuration. ### Resource URL PUT /autoupdateconfiguration/botnetdownloadconfig ### Request Parameters URL Parameters: None Payload Parameters: | Field Name | Description | Data Type | | --- | --- | --- | | `enableDownload` | Whether the automatic download is enabled | Boolean | | `schedule` | Schedule for the update. Values can be following: - FREQUENTLY - DAILY - WEEKLY | String | | `startTime` | Time when the update should start. It should be in hh:mm format. | String | | `endTime` | Time when the update should start. It should be in hh:mm format. | String | | `recur` | The recurring duration | String | ### Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Set to 1 if the operation was successful | Number | ### Example **Request** PUT [https:///sdkapi/autoupdateconfiguration/botnetdownloadconfig](https://<NSM_IP>/sdkapi/autoupdateconfiguration/botnetdownloadconfig%20) **Payload** ```    {       "enableDownload": true,       "schedule": "FREQUENTLY",       "startTime": "0:0",       "endTime": "23:0",       "recur": "10 Hr"   } ``` **Response** ``` { "status": 1 } ``` ### Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 400 | 6101 | Invalid time format... Time is mandatory and should be in hh:mm format | | 2 | 400 | 6102 | Hour should be between 0 and 23 | | 3 | 400 | 6103 | Minute should be between 0 and 55 and multiples of 5 | | 4 | 400 | 6104 | For frequently: duration should end with Min or Hr... If hr then 1 to 10 and 12 is allowed... If min then 10 15 30 & 45 are allowed... | | 5 | 400 | 6105 | For weekly: duration should be name of the days like SUNDAY,MONDAY,etc. | | 6 | 400 | 6106 | Schedule should be one of the following: FREQUENTLY, DAILY & WEEKLY | | 7 | 400 | 6107 | Recur value is mandatory when schedule is FREQUENTLY or WEEKLY | | 8 | 400 | 6108 | Update to Sensor failed |